intbycpu.d(1m)

NAME
intbycpu.d - interrupts by CPU. Uses DTrace.

SYNOPSIS
intbycpu.d

DESCRIPTION
intbycpu.d is based on a DTrace OneLiner to a report of the number of interrupts by CPU. The intrstat(1M) command can be used for further analysis of interrputs. Docs/oneliners.txt and Docs/Examples/oneliners_examples.txt in the DTraceToolkit contain this as a oneliner that can be cut-n-paste to run. Since this uses DTrace, only the root user or users with the dtrace_kernel privilege can run this command.

OS
Solaris

STABILITY
stable - needs the sdt provider interrupt probes.

EXAMPLES

This samples until Ctrl-C is hit.
    # intbycpu.d

FIELDS

CPU This is the CPU id.

INTERRUPTS
    This is the number of interrputs received in the sample.

DOCUMENTATION
See the DTraceToolkit for further documentation under the Docs directory. The DTraceToolkit docs may include full worked examples with verbose descriptions explaining the output.

EXIT
intbycpu.d will sample until Ctrl-C is hit.

AUTHOR
Brendan Gregg [Sydney, Australia]

SEE ALSO
intrstat(1M), dtrace(1M)